# Class RemoteThreadsListenerTestElement

java.lang.Object
org.apache.jmeter.threads.RemoteThreadsListenerTestElement

All Implemented Interfaces:
  `Remoteable, ThreadListener`

public class RemoteThreadsListenerTestElement extends Object implements Remoteable, ThreadListener
Empty implementation only used to be able to do replacement by `ConvertListeners`

Since:
  2.10

## Constructor Summary

Constructors
Constructor
Description
`RemoteThreadsListenerTestElement()`

## Method Summary

Modifier and Type
Method
Description
`void`
`threadFinished()`
Called for each thread after all samples have been processed.
`void`
`threadStarted()`
Called for each thread before starting sampling.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RemoteThreadsListenerTestElement

public RemoteThreadsListenerTestElement()

## Method Details

### threadStarted

public void threadStarted()
Description copied from interface: `ThreadListener`
Called for each thread before starting sampling. WARNING: this is called before any Config test elements are processed, so any properties they define will not have been merged in yet.

Specified by:
  `threadStarted` in interface `ThreadListener`
See Also:
  - `JMeterThread.threadStarted()`

### threadFinished

public void threadFinished()
Description copied from interface: `ThreadListener`
Called for each thread after all samples have been processed.

Specified by:
  `threadFinished` in interface `ThreadListener`
See Also:
  - `JMeterThread.threadFinished(org.apache.jmeter.engine.event.LoopIterationListener)`